Ticket #31182

日本語点字とコンピューター点字(NABCC)の併用モード

Open Date: 2013-04-19 11:19 Last Update: 2014-06-28 22:27

Reporter: nishimoto Owner: nishimoto
Type: Feature Requests Status: Closed
Component: 点字ディスプレイ MileStone: 2014.3jp-public-beta (closed)
Priority: 6 Severity: 6
Resolution: Fixed

Details

現在の日本語点訳エンジンは、日本式の情報処理用点字を、内容に応じて自動的に使っています。

点字設定「カーソル位置の単語をコンピューター点字に展開」は liblouis のオプションを制御するものです。この「コンピューター点字」は NABCC コードを意味しています。

この設定は、日本語点字では無効です。

日本の点字ユーザーにも NABCC をお使いのかたがおられるようなので、liblouis と同等の「カーソル位置の単語をコンピューター点字に展開」モードを実装するか、あるいは、日本式の情報処理用点字のかわりに NABCC を使うモード(この場合は点字テーブルを切り替えるのがよいでしょうか)の実装を検討しています。

関連チケット #31066 日本語点字と英語短縮形の併用 との整合性も要検討です。

Attachment File List

No attachments

Ticket History (3/12 Histories)

2013-04-19 11:19 Updated by: nishimoto
  • New Ticket "日本語点字とコンピューター点字(NABCC)の併用モード" created
2013-04-22 00:13 Updated by: nishimoto
Comment

Twitter経由でいただいたご意見を下記にまとめます。

  • 無変換NABCCはプログラマーのためのモードで、マスを減らすことが重要。
  • 英数字に関してはNVDAでいうとアメリカ英語8点コンピュータ点字(大文字を7の点で表現する)
  • NABCC で表現できない文字は日本語点字を使う
  • a と「あ」は区別できないが、マスを減らすことの方が重要。分かっている人が使うという前提。
2013-10-09 22:48 Updated by: nishimoto
  • Resolution Update from None to Accepted
Comment

どういうスケジュールで進めるか未定ですが、本件に関するテストケースの作成を始めました。

[ti31182 3199e36] initial test cases regarding NABCC mode. nvdajp ticket 31182

To ssh://git@bitbucket.org/nvdajp/nvdajp.git
 * [new branch]      ti31182 -> ti31182

まだ NABCC と日本語が混在するテストケースは書いていません。

点訳エンジンの拡張方針も未定です。

2013-12-29 20:52 Updated by: nishimoto
  • Owner Update from (None) to nishimoto
  • Component Update from (None) to 点字ディスプレイ
  • Severity Update from 5 - Medium to 6
  • Priority Update from 5 - Medium to 6
Comment

本家版の機能のなかで日本語対応できていない機能が残り少なくなってきたため、重要度・優先度をひとつ増やすことにします。

2014-06-02 16:18 Updated by: nishimoto
Comment

マイルストーンを 2014.3jp 公開ベータ版に設定して、検討します。

本家版の英語1級・英語2級での挙動を見ていると、カーソルが動くたびに、カーソルの前後(空白で区切られた領域)が NABCC 点字になり、それ以外の場所が通常の点字になるので、同じ情報が頻繁に書き換わる挙動になります。

日本語では「カーソル位置の単語」を空白区切りで処理することは難しいので、カーソル位置に依存する処理はいったん保留して、以下のような仕様を検討しています。

  • カーソル位置にかかわらず NABCC(アメリカ英語8点コンピュータ点字)で表示できる文字は NABCC で表示する
  • それ以外の文字は6点の日本語点字で表示する
  • 両者は "あ" と "a" などの区別がつかないが、必要な場合は文字レビュー操作で確認してもらうことにする
2014-06-09 15:03 Updated by: nishimoto
  • Resolution Update from Accepted to Fixed
Comment

日本語テスト版 jpbeta140609

https://dl.dropboxusercontent.com/u/62564469/nvda_jpbeta140609.exe

いままで点字設定「カーソル位置の単語をコンピューター点字に展開」は「日本語6点情報処理点字」では無視されていました。

このバージョンでは「カーソル位置の単語をコンピューター点字に展開」がチェックの場合には、 NABCC で表示できる文字は NABCC で表示し、その他の文字を日本語6点点字で表示します。 日本語情報処理点字や外字符、外国語引用符は使用されません。 数字はいわゆる下がり数字、アルファベット大文字は7の点で表現されます。

「カーソル位置の単語をコンピューター点字に展開」がチェックなしの場合は、 いままでのバージョンと同じ動作です。

このような実装でよいか、ご意見をお聞かせください。

以下、ブランチの情報:

ssh://git@bitbucket.org/nvdajp/nvdajp.git
 * [new branch]      ti31182v2 -> ti31182v2

submodule:
ssh://git@bitbucket.org/nvdajp/nvdajpmiscdep.git
branch nabcc
2014-06-09 18:09 Updated by: nishimoto
Comment

日本語テスト版 jpbeta140609 では liblouis の使われ方に合わせて NABCC モードを使っていますが、 キャレットが出ない場合(アプリケーションのメニューなど)では「カーソル位置の単語」の判定をせず、 NABCC モードを常に無効にしているようです。

このフラグをそのまま日本語版で使うと、NABCC 表記と従来の表記が混在してしまいます。

キャレットの有無にかかわらず、このオプションがチェックのときには NABCC フラグで点訳するように、 次のスナップショットで変更します。

2014-06-10 08:02 Updated by: nishimoto
Comment

日本語テスト版 jpbeta140610

https://dl.dropboxusercontent.com/u/62564469/nvda_jpbeta140610.exe

キャレットの有無にかかわらず「カーソル位置の単語をコンピューター点字に展開」がチェックの場合はNABCCモードで動作するようにしました。

チェックボックスの項目名は「可能な場合にコンピューター点字(NABCC)を使用する」みたいな表記に変更したいと思います。

2014-06-11 08:11 Updated by: nishimoto
Comment

日本語テスト版 jpbeta140611

https://dl.dropboxusercontent.com/u/62564469/nvda_jpbeta140611.exe

ダブルクオートなど一部の記号が正しく NABCC にならない不具合の修正。

タブ文字は「7の点」で表現する改良も行いました。

本家 master からのマージも行いました。

2014-06-14 10:19 Updated by: nishimoto
Comment

NABCC併用モードでの仕様はこのままにして、 NABCC併用モードではない場合には、タブ文字を空白にしようかと思い始めています。

引き続きご意見をお待ちしています。

2014-06-15 17:36 Updated by: nishimoto
Comment

日本語テスト版 nvda_jpbeta140615

https://dl.dropboxusercontent.com/u/62564469/nvda_jpbeta140615.exe

NABCCモードでない場合にタブ文字は空白として出力するように変更しました。

2014-06-28 22:27 Updated by: nishimoto
  • Ticket Close date is changed to 2014-06-28 22:27
  • Status Update from Open to Closed
Comment

NABCC モードは既定値で有効になっているのですが、 日本語版の既定値では無効にしました:

[jpbeta bdb2427] ti31182 disabled NABCC in default settings
 1 file changed, 1 insertion(+), 1 deletion(-)

To ssh://git@bitbucket.org/nvdajp/nvdajp.git
   db20544..bdb2427  jpbeta -> jpbeta

Edit

Please login to add comment to this ticket » Login